QuaZIP quazip-0-7-2

- Main Page
- Related Pages
- Classes
- Files
- Directories

- Class List
- Class Hierarchy
- Class Members

Static Public Member Functions
JlCompress Class Reference

Utility class for typical operations. More...

`#include <JlCompress.h>`

List of all members.

## Static Public Member Functions
static bool | compressFile (QString fileCompressed, QString file)
| Compress a single file.
static bool | compressFiles (QString fileCompressed, QStringList files)
| Compress a list of files.
static bool | compressDir (QString fileCompressed, QString dir=QString(), bool recursive=true)
| Compress a whole directory.
static bool | compressDir (QString fileCompressed, QString dir, bool recursive, QDir::Filters filters)
| Compress a whole directory.
static QString | extractFile (QString fileCompressed, QString fileName, QString fileDest=QString())
| Extract a single file.
static QStringList | extractFiles (QString fileCompressed, QStringList files, QString dir=QString())
| Extract a list of files.
static QStringList | extractDir (QString fileCompressed, QString dir=QString())
| Extract a whole archive.
static QStringList | getFileList (QString fileCompressed)
| Get the file list.
static QString | extractFile (QIODevice *ioDevice, QString fileName, QString fileDest=QString())
| Extract a single file.
static QStringList | extractFiles (QIODevice *ioDevice, QStringList files, QString dir=QString())
| Extract a list of files.
static QStringList | extractDir (QIODevice *ioDevice, QString dir=QString())
| Extract a whole archive.
static QStringList | getFileList (QIODevice *ioDevice)
| Get the file list.

## Detailed Description

Utility class for typical operations.

This class contains a number of useful static functions to perform simple operations, such as mass ZIP packing or extraction.

## Member Function Documentation

bool JlCompress::compressFile | ( | QString | fileCompressed,
|  | QString | file
| ) |  | `[static]`

Compress a single file.

Parameters:

  fileCompressed | The name of the archive.
  file | The file to compress.

Returns:
  true if success, false otherwise.

References QuaZip::close(), QuaZip::getZipError(), QuaZip::mdCreate, QDir::mkpath(), QuaZip::open(), and QFile::remove().

bool JlCompress::compressFiles | ( | QString | fileCompressed,
|  | QStringList | files
| ) |  | `[static]`

Compress a list of files.

Parameters:

  fileCompressed | The name of the archive.
  files | The file list to compress.

Returns:
  true if success, false otherwise.

References QuaZip::close(), QFileInfo::exists(), QFileInfo::fileName(), QuaZip::getZipError(), QuaZip::mdCreate, QDir::mkpath(), QuaZip::open(), QFile::remove(), and QFileInfo::setFile().

bool JlCompress::compressDir | ( | QString | fileCompressed,
|  | QString | dir = `QString()`,
|  | bool | recursive = `true`
| ) |  | `[static]`

Compress a whole directory.

Does not compress hidden files. See compressDir(QString, QString, bool, QDir::Filters).

Parameters:

  fileCompressed | The name of the archive.
  dir | The directory to compress.
  recursive | Whether to pack the subdirectories as well, or just regular files.

Returns:
  true if success, false otherwise.

bool JlCompress::compressDir | ( | QString | fileCompressed,
|  | QString | dir,
|  | bool | recursive,
|  | QDir::Filters | filters
| ) |  | `[static]`

Compress a whole directory.

Unless filters are specified explicitly, packs only regular non-hidden files (and subdirs, if `recursive` is true). If filters are specified, they are OR-combined with `QDir::AllDirs|QDir::NoDotAndDotDot` when searching for dirs and with `QDir::Files` when searching for files.

Parameters:

  fileCompressed | path to the resulting archive
  dir | path to the directory being compressed
  recursive | if true, then the subdirectories are packed as well
  filters | what to pack, filters are applied both when searching for subdirs (if packing recursively) and when looking for files to pack

Returns:
  true on success, false otherwise

References QuaZip::close(), QuaZip::getZipError(), QuaZip::mdCreate, QDir::mkpath(), QuaZip::open(), and QFile::remove().

QString JlCompress::extractFile | ( | QString | fileCompressed,
|  | QString | fileName,
|  | QString | fileDest = `QString()`
| ) |  | `[static]`

Extract a single file.

Parameters:

  fileCompressed | The name of the archive.
  fileName | The file to extract.
  fileDest | The destination file, assumed to be identical to file if left empty.

Returns:
  The list of the full paths of the files extracted, empty on failure.

QStringList JlCompress::extractFiles | ( | QString | fileCompressed,
|  | QStringList | files,
|  | QString | dir = `QString()`
| ) |  | `[static]`

Extract a list of files.

Parameters:

  fileCompressed | The name of the archive.
  files | The file list to extract.
  dir | The directory to put the files to, the current directory if left empty.

Returns:
  The list of the full paths of the files extracted, empty on failure.

QStringList JlCompress::extractDir | ( | QString | fileCompressed,
|  | QString | dir = `QString()`
| ) |  | `[static]`

Extract a whole archive.

Parameters:

  fileCompressed | The name of the archive.
  dir | The directory to extract to, the current directory if left empty.

Returns:
  The list of the full paths of the files extracted, empty on failure.

QStringList JlCompress::getFileList | ( | QString | fileCompressed | ) | `[static]`

Get the file list.

Returns:
  The list of the files in the archive, or, more precisely, the list of the entries, including both files and directories if they are present separately.

QString JlCompress::extractFile | ( | QIODevice * | ioDevice,
|  | QString | fileName,
|  | QString | fileDest = `QString()`
| ) |  | `[static]`

Extract a single file.

Parameters:

  ioDevice | pointer to device with compressed data.
  fileName | The file to extract.
  fileDest | The destination file, assumed to be identical to file if left empty.

Returns:
  The list of the full paths of the files extracted, empty on failure.

QStringList JlCompress::extractFiles | ( | QIODevice * | ioDevice,
|  | QStringList | files,
|  | QString | dir = `QString()`
| ) |  | `[static]`

Extract a list of files.

Parameters:

  ioDevice | pointer to device with compressed data.
  files | The file list to extract.
  dir | The directory to put the files to, the current directory if left empty.

Returns:
  The list of the full paths of the files extracted, empty on failure.

QStringList JlCompress::extractDir | ( | QIODevice * | ioDevice,
|  | QString | dir = `QString()`
| ) |  | `[static]`

Extract a whole archive.

Parameters:

  ioDevice | pointer to device with compressed data.
  dir | The directory to extract to, the current directory if left empty.

Returns:
  The list of the full paths of the files extracted, empty on failure.

QStringList JlCompress::getFileList | ( | QIODevice * | ioDevice | ) | `[static]`

Get the file list.

Returns:
  The list of the files in the archive, or, more precisely, the list of the entries, including both files and directories if they are present separately.

The documentation for this class was generated from the following files:

- quazip/JlCompress.h
- quazip/JlCompress.cpp